<?php

namespace AutoAdmin\Bundle\Content\Entity\Duplicators;

use AutoAdmin\Bundle\Content\Model\SiteInterface;

class SiteDuplicator extends AbstractDuplicator
{
    /**
     * @return string[]
     */
    public function support(): array
    {
        return [
            SiteInterface::class
        ];
    }

    /**
     * @param SiteInterface $entity
     * @param SiteInterface $duplicate
     *
     * @return SiteInterface
     */
    public function duplicate($entity, $duplicate, $parent = null)
    {
        $duplicate->setSite($entity->getSite());

        return $duplicate;
    }
}